<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (C) 2012 Álvaro Cortijo García

Permission is hereby granted, free of charge, to any person obtaining a 
copy of this software and associated documentation files (the "Software"), 
to deal in the Software without restriction, including without limitation 
the rights to use, copy, modify, merge, publish, distribute, sublicense, 
and/or sell copies of the Software, and to permit persons to whom the 
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in 
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN 
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
-->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            targetNamespace="http://xml.netbeans.org/schema/squaresSum"
            xmlns:tns="http://xml.netbeans.org/schema/squaresSum"
            elementFormDefault="qualified">

  <xsd:element name="element" type="xsd:double"/>
  <xsd:element name="elements">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="tns:element" maxOccurs="unbounded"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
  <xsd:element name="varianceElements">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="tns:element" maxOccurs="unbounded"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
  <xsd:element name="squaresSumRequest">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element name="n" type="xsd:unsignedInt"></xsd:element>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
  <xsd:element name="squaresSumResponse">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element name="sum" type="xsd:double"></xsd:element>
        <xsd:element name="variance" type="xsd:double"></xsd:element>
        <xsd:element ref="tns:elements"/>
        <xsd:element ref="tns:varianceElements"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
</xsd:schema>
